nord.css 24 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859606162636465666768697071727374757677787980818283848586878889909192939495969798991001011021031041051061071081091101111121131141151161171181191201211221231241251261271281291301311321331341351361371381391401411421431441451461471481491501511521531541551561571581591601611621631641651661671681691701711721731741751761771781791801811821831841851861871881891901911921931941951961971981992002012022032042052062072082092102112122132142152162172182192202212222232242252262272282292302312322332342352362372382392402412422432442452462472482492502512522532542552562572582592602612622632642652662672682692702712722732742752762772782792802812822832842852862872882892902912922932942952962972982993003013023033043053063073083093103113123133143153163173183193203213223233243253263273283293303313323333343353363373383393403413423433443453463473483493503513523533543553563573583593603613623633643653663673683693703713723733743753763773783793803813823833843853863873883893903913923933943953963973983994004014024034044054064074084094104114124134144154164174184194204214224234244254264274284294304314324334344354364374384394404414424434444454464474484494504514524534544554564574584594604614624634644654664674684694704714724734744754764774784794804814824834844854864874884894904914924934944954964974984995005015025035045055065075085095105115125135145155165175185195205215225235245255265275285295305315325335345355365375385395405415425435445455465475485495505515525535545555565575585595605615625635645655665675685695705715725735745755765775785795805815825835845855865875885895905915925935945955965975985996006016026036046056066076086096106116126136146156166176186196206216226236246256266276286296306316326336346356366376386396406416426436446456466476486496506516526536546556566576586596606616626636646656666676686696706716726736746756766776786796806816826836846856866876886896906916926936946956966976986997007017027037047057067077087097107117127137147157167177187197207217227237247257267277287297307317327337347357367377387397407417427437447457467477487497507517527537547557567577587597607617627637647657667677687697707717727737747757767777787797807817827837847857867877887897907917927937947957967977987998008018028038048058068078088098108118128138148158168178188198208218228238248258268278288298308318328338348358368378388398408418428438448458468478488498508518528538548558568578588598608618628638648658668678688698708718728738748758768778788798808818828838848858868878888898908918928938948958968978988999009019029039049059069079089099109119129139149159169179189199209219229239249259269279289299309319329339349359369379389399409419429439449459469479489499509519529539549559569579589599609619629639649659669679689699709719729739749759769779789799809819829839849859869879889899909919929939949959969979989991000100110021003100410051006100710081009101010111012101310141015101610171018101910201021102210231024102510261027102810291030103110321033103410351036103710381039104010411042104310441045104610471048104910501051105210531054105510561057105810591060106110621063106410651066106710681069107010711072107310741075107610771078107910801081108210831084108510861087108810891090109110921093109410951096109710981099110011011102110311041105110611071108110911101111111211131114111511161117111811191120112111221123112411251126112711281129113011311132113311341135113611371138113911401141114211431144114511461147114811491150115111521153115411551156115711581159116011611162116311641165116611671168116911701171117211731174117511761177117811791180118111821183118411851186118711881189119011911192119311941195119611971198119912001201120212031204120512061207120812091210121112121213121412151216121712181219122012211222122312241225122612271228122912301231123212331234123512361237123812391240124112421243124412451246124712481249125012511252125312541255125612571258125912601261126212631264126512661267126812691270127112721273127412751276127712781279128012811282128312841285128612871288128912901291129212931294129512961297129812991300130113021303130413051306130713081309131013111312131313141315131613171318131913201321132213231324132513261327132813291330133113321333133413351336133713381339134013411342134313441345134613471348134913501351135213531354135513561357135813591360136113621363136413651366136713681369
  1. @charset "UTF-8";
  2. /*******************
  3. * Theme is based on the Nord theme: https://www.nordtheme.com/docs/colors-and-palettes (archived: https://archive.ph/LVpdB)
  4. *******************/
  5. :root {
  6. /* Set sans-serif & mono fonts */
  7. --sans-font: Inter, Lato,Helvetica,"IBM Plex Sans","Roboto",-apple-system,BlinkMacSystemFont,"Nimbus Sans L",Avenir,"Noto Sans", "Segoe UI",Arial,Helvetica,"Helvetica Neue",sans-serif;
  8. --mono-font: "mononoki Nerd Font","IBM Plex Mono","Roboto Mono","Ubuntu Mono","Fira Code","Overpass Mono", Monaco,"Droid Sans Mono",monospace;
  9. /* given theme colors: */
  10. --nordX-background: #242933;
  11. --nord0-polarnight: #2e3440;
  12. --nord1-polarnight: #3b4252;
  13. --nord2-polarnight: #434c5e;
  14. --nord3-polarnight: #4c566a;
  15. --nord4-snowstorm: #d8dee9;
  16. /* --nord5-snowstorm: #e5e9f0; */
  17. --nord6-snowstorm: #eceff4;
  18. /* --nord7-frost: #8fbcbb; */
  19. --nord8-frost: #88c0d0;
  20. --nord9-frost: #81a1c1;
  21. /* --nord10-frost: #5e81ac; */
  22. --nord11-aurora: #bf616a;
  23. /* --nord12-aurora: #d08770; */
  24. --nord13-aurora: #ebcb8b;
  25. --nord14-aurora: #a3be8c;
  26. --nord15-aurora: #b48ead;
  27. --main-background: var(--nordX-background);
  28. --main-background-transparent: #242933cc;
  29. --accent-bg: var(--nord0-polarnight);
  30. --accent-border: var(--nord0-polarnight);
  31. --light-bg: var(--nord1-polarnight);
  32. --dropdown-bg: var(--nord2-polarnight);
  33. --border-elements: var(--nord3-polarnight);
  34. --text-accent: var(--nord4-snowstorm);
  35. --text-default: var(--nord6-snowstorm);
  36. --highlight: var(--nord8-frost);
  37. --accent: var(--nord9-frost);
  38. --red: var(--nord11-aurora);
  39. --orange: var(--nord13-aurora);
  40. --green: var(--nord14-aurora);
  41. --purple: var(--nord15-aurora);
  42. --frss-background-color-transparent: #2e34407f;
  43. --frss-background-color: var(--main-background);
  44. --frss-box-shadow-color-transparent: #111;
  45. --frss-switch-accent-color: var(--nord14-aurora);
  46. --frss-background-color-middle: var(--highlight);
  47. --frss-background-color-dark: var(--light-bg);
  48. --frss-background-color-error-transparent: #bf616a40;
  49. --frss-scrollbar-handle: #0002;
  50. --frss-scrollbar-handle-hover: var(--nord1-polarnight);
  51. --frss-scrollbar-track: transparent;
  52. --frss-scrollbar-track-hover: transparent;
  53. }
  54. /*=== GENERAL */
  55. /*============*/
  56. @font-face {
  57. font-family: 'Lato';
  58. src: local('Lato'),
  59. url('../fonts/LatoLatin-Regular.woff') format('woff'),
  60. url('../fonts/LatoLatin-Bold.woff') format('woff'),
  61. url('../fonts/LatoLatin-Bolditalic.woff') format('woff'),
  62. url('../fonts/LatoLatin-Italic.woff') format('woff');
  63. }
  64. @font-face {
  65. font-family: 'Noto Sans';
  66. src: local('Noto Sans'), local('NotoSans');
  67. }
  68. html, body {
  69. background: var(--main-background);
  70. color: var(--text-default);
  71. font-family: var(--sans-font);
  72. }
  73. /*=== Links */
  74. a {
  75. color: var(--accent);
  76. }
  77. a:hover {
  78. color: var(--highlight);
  79. }
  80. p.help {
  81. color: var(--text-accent);
  82. font-size: 0.9em;
  83. font-style: italic;
  84. padding-left: 0.25rem;
  85. }
  86. p.help img {
  87. height: 1em;
  88. vertical-align: middle;
  89. }
  90. kbd {
  91. color: var(--orange);
  92. border-color: var(--border-elements);
  93. background-color: var(--accent-bg);
  94. }
  95. legend {
  96. margin: 20px 0 5px;
  97. padding: 5px 0;
  98. font-size: 1.4em;
  99. }
  100. label {
  101. min-height: 25px;
  102. padding: 5px 0;
  103. cursor: pointer;
  104. }
  105. input, select, textarea {
  106. padding: 5px;
  107. color: var(--text-default);
  108. border: 1px solid var(--border-elements);
  109. border-radius: 6px;
  110. background-color: transparent;
  111. min-height: 25px;
  112. line-height: 25px;
  113. vertical-align: middle;
  114. }
  115. input:invalid,
  116. select:invalid,
  117. textarea:invalid {
  118. border-color: var(--red);
  119. }
  120. select {
  121. padding-top: 10px;
  122. padding-bottom: 9px;
  123. }
  124. input:hover,
  125. select:hover,
  126. textarea:hover {
  127. border-color: var(--accent);
  128. }
  129. input:focus,
  130. select:focus,
  131. textarea:focus {
  132. background-color: var(--main-background);
  133. border-color: var(--highlight);
  134. outline: none;
  135. }
  136. input:disabled, select:disabled {
  137. border-color: var(--border-elements);
  138. color: var(--text-accent);
  139. }
  140. button.as-link[disabled] {
  141. color: var(--text-accent);
  142. font-style: italic;
  143. }
  144. /*=== Tables */
  145. .config-articleicons td,
  146. .config-articleicons th {
  147. font-weight: normal;
  148. }
  149. table {
  150. border-collapse: collapse;
  151. }
  152. table tr {
  153. border-bottom: 1px solid var(--border-elements);
  154. }
  155. table th, table td {
  156. padding: 10px 20px;
  157. }
  158. .form-group.form-actions {
  159. margin: 2rem 0 5rem 0;
  160. background-color: var(--main-background-transparent);
  161. }
  162. .form-group .group-name {
  163. padding: 10px 0;
  164. }
  165. .form-group .group-controls {
  166. padding: 5px 0;
  167. min-height: 25px;
  168. }
  169. /*=== Buttons */
  170. .btn {
  171. margin: .3rem .6rem 0.3rem 0;
  172. padding: 5px 10px;
  173. background: var(--accent-bg);
  174. color: var(--accent);
  175. font-size: 0.9rem;
  176. border: 1px solid var(--border-elements);
  177. border-radius: 5px;
  178. text-decoration: none;
  179. transition: .2s;
  180. min-height: 25px;
  181. min-width: 15px;
  182. vertical-align: middle;
  183. line-height: 25px;
  184. }
  185. .btn.active {
  186. background-color: var(--main-background);
  187. border: 1px solid var(--accent);
  188. }
  189. div:target ~ .btn {
  190. background-color: var(--highlight);
  191. border: 1px solid var(--highlight);
  192. }
  193. div:target ~ .btn .icon {
  194. filter: brightness(30%);
  195. }
  196. .btn:hover {
  197. color: var(--highlight);
  198. border: 1px solid var(--highlight);
  199. text-decoration: none;
  200. }
  201. a:hover .icon,
  202. .btn:hover .icon {
  203. filter: invert(86%) sepia(8%) saturate(1976%) hue-rotate(159deg) brightness(180%) contrast(100%);
  204. transition: .2s filter;
  205. }
  206. .btn-important, #nav_menu_read_all .read_all, #actualize {
  207. font-weight: bold !important;
  208. background-color: var(--accent) !important;
  209. color: var(--main-background) !important;
  210. }
  211. .btn-important:hover, #nav_menu_read_all .read_all:hover, #actualize:hover {
  212. background-color: var(--highlight) !important;
  213. }
  214. #btn-add.btn-important .icon, #actualize .icon {
  215. filter: brightness(0);
  216. }
  217. .btn-attention {
  218. color: var(--red) !important;
  219. border: 1px solid var(--red) !important;
  220. }
  221. .btn-attention:hover {
  222. background: var(--red);
  223. transition: 0.2s background;
  224. color: var(--main-background) !important;
  225. }
  226. .btn:hover,
  227. svg:hover {
  228. cursor: pointer;
  229. }
  230. .stick input,
  231. .stick select,
  232. .stick .btn {
  233. border-radius: 0;
  234. }
  235. .stick input:first-child,
  236. .stick select:first-child,
  237. .stick .btn:first-child {
  238. border-top-left-radius: 6px;
  239. border-bottom-left-radius: 6px;
  240. border-right-width: 0;
  241. }
  242. .dropdown-menu .stick input {
  243. background-color: var(--light-bg);
  244. border-color: var(--accent-border);
  245. }
  246. .dropdown-menu .stick input:focus {
  247. background-color: var(--accent-bg);
  248. }
  249. .dropdown-menu .stick .btn {
  250. border-color: var(--accent-border);
  251. }
  252. .stick input:hover,
  253. .stick:hover input,
  254. .stick:hover .btn {
  255. border-color: var(--accent) !important
  256. }
  257. .stick .btn:hover,
  258. .stick input:focus,
  259. .stick input:focus ~ .btn {
  260. border-color: var(--highlight) !important
  261. }
  262. .nav_menu .stick input,
  263. .nav_menu .stick .btn {
  264. border-radius: 6px;
  265. border-right-width: 1px;
  266. }
  267. .nav_menu .stick #mark-read-menu .read_all.btn,
  268. .nav_menu .dropdown-menu .stick.search input {
  269. margin-right: 0;
  270. border-top-right-radius: 0;
  271. border-bottom-right-radius: 0;
  272. }
  273. .nav_menu .stick #mark-read-menu .dropdown-toggle.btn,
  274. .nav_menu .dropdown-menu .stick.search .btn {
  275. margin-left: 0;
  276. border-left: 0;
  277. border-top-left-radius: 0;
  278. border-bottom-left-radius: 0;
  279. }
  280. .stick .btn:last-child {
  281. margin-right: 0;
  282. border-top-right-radius: 6px;
  283. border-bottom-right-radius: 6px;
  284. }
  285. .stick .btn {
  286. margin-top: 0;
  287. margin-bottom: 0;
  288. }
  289. .stick.configure-feeds .btn {
  290. margin-right: 0;
  291. }
  292. .header .stick,
  293. .header .btn {
  294. margin: 0
  295. }
  296. /*=== Navigation */
  297. .dropdown-menu {
  298. margin: 5px 0 0;
  299. padding: 0.5rem 0 0.25rem 0;
  300. background: var(--dropdown-bg);
  301. font-size: 0.8rem;
  302. border: none;
  303. border-radius: 6px;
  304. text-align: left;
  305. }
  306. .dropdown-header,
  307. .dropdown-section .dropdown-section-title {
  308. padding: 0.5rem 0.75rem;
  309. font-weight: bold;
  310. text-align: left;
  311. }
  312. .dropdown-menu .item > a,
  313. .dropdown-menu .item > span,
  314. .dropdown-menu .item > .as-link {
  315. padding: 0 22px;
  316. line-height: 2.5em;
  317. font-size: inherit;
  318. min-width: 200px;
  319. }
  320. .dropdown-menu .dropdown-section .item > a,
  321. .dropdown-menu .dropdown-section .item > span,
  322. .dropdown-menu .dropdown-section .item > .as-link {
  323. padding-left: 2rem;
  324. }
  325. .dropdown-menu .dropdown-section .item:last-child {
  326. margin-bottom: 0.5rem;
  327. }
  328. .dropdown-menu .item > a:hover,
  329. .dropdown-menu .item > button:hover:not([disabled]),
  330. .dropdown-menu .item > label:hover:not(.noHover) {
  331. background-color: var(--light-bg);
  332. color: var(--text-default);
  333. transition: .2s;
  334. }
  335. .dropdown-menu > .item[aria-checked="true"] > a::before {
  336. font-weight: bold;
  337. margin: 0 0 0 -14px;
  338. }
  339. .dropdown-menu .input select,
  340. .dropdown-menu .input input {
  341. margin: 0 auto 5px;
  342. padding: 2px 5px;
  343. }
  344. .dropdown-menu > .item:hover > a {
  345. text-decoration: none;
  346. }
  347. .dropdown-close {
  348. backdrop-filter: grayscale(25%) brightness(0.9);
  349. }
  350. .dropdown-close a:hover {
  351. background: none;
  352. }
  353. .dropdown-target:target ~ .dropdown-toggle::after {
  354. background-color: var(--dropdown-bg);
  355. border: none;
  356. right: 13px;
  357. bottom: -14px;
  358. }
  359. .dropdown-menu-scrollable .dropdown-close {
  360. display: none;
  361. }
  362. .item ~ .dropdown-header,
  363. .dropdown-section ~ .dropdown-section,
  364. .item.separator {
  365. border-top-color: var(--accent-border);
  366. }
  367. /*=== Alerts */
  368. .alert {
  369. color: var(--text-accent);
  370. font-size: 0.9em;
  371. border: 1px solid var(--border-elements);
  372. border-radius: 6px;
  373. background-color: var(--light-bg);
  374. }
  375. .alert-success {
  376. border-color: var(--green);
  377. }
  378. .alert-head {
  379. font-size: 1.15em;
  380. }
  381. .alert > a {
  382. text-decoration: underline;
  383. }
  384. .alert-warn {
  385. border-color: var(--orange);
  386. }
  387. .alert-error {
  388. border-color: var(--red);
  389. }
  390. /*=== Icons */
  391. .icon {
  392. filter: invert(74%) sepia(29%) saturate(411%) hue-rotate(171deg) brightness(130%) contrast(85%);
  393. }
  394. img.favicon {
  395. background: var(--text-accent);
  396. border-radius: 4px;
  397. }
  398. /*=== Pagination */
  399. .pagination {
  400. padding: 0.5rem;
  401. background-color: var(--accent-bg);
  402. }
  403. .pagination .item a {
  404. border-radius: 6px;
  405. }
  406. .pagination .item.active a {
  407. color: var(--highlight);
  408. font-weight: bold;
  409. }
  410. .pagination .item a:hover {
  411. background-color: var(--main-background);
  412. color: var(--text-default);
  413. transition: .2s;
  414. }
  415. /*=== Boxes */
  416. .box {
  417. background-color: var(--accent-bg);
  418. border-radius: 10px;
  419. }
  420. .box .box-content {
  421. padding-bottom: 1.5rem;
  422. list-style: none;
  423. }
  424. .box .box-title {
  425. padding-top: 0.75rem;
  426. padding-bottom: 0.5rem;
  427. border-bottom: 1px solid var(--nordX-background);
  428. }
  429. .box .box-title .configure {
  430. padding-right: .25rem;
  431. }
  432. .box .box-title h2 {
  433. color: var(--accent);
  434. font-size: 1rem;
  435. }
  436. .box .box-title .configure:not([data-cat-position=""])::after {
  437. top: .5rem;
  438. }
  439. .box .box-content .item {
  440. padding: 0;
  441. font-size: 0.9rem;
  442. }
  443. /*=== Draggable */
  444. .drag-hover {
  445. margin: 0 0 5px;
  446. }
  447. [draggable=true] {
  448. cursor: grab;
  449. }
  450. /*=== Tree */
  451. .tree {
  452. margin: 10px 0;
  453. }
  454. .tree-folder-title .title {
  455. background: inherit;
  456. }
  457. .tree-folder-title:hover button.dropdown-toggle .icon {
  458. filter: invert(74%) sepia(29%) saturate(411%) hue-rotate(171deg) brightness(130%) contrast(85%);
  459. }
  460. .tree-folder-title button.dropdown-toggle:hover .icon {
  461. filter: invert(86%) sepia(8%) saturate(1976%) hue-rotate(159deg) brightness(180%) contrast(100%);
  462. }
  463. .tree-folder.category {
  464. border-bottom: 1px solid var(--main-background);
  465. }
  466. .tree-folder.category.active .tree-folder-title,
  467. .tree-folder.category .tree-folder-title:hover,
  468. .tree-folder.category:hover .tree-folder-title {
  469. background: var(--light-bg);
  470. }
  471. .tree-folder .tree-folder-title:hover a,
  472. .tree-folder.category.active .tree-folder-title:hover a,
  473. .tree-folder .tree-folder-items .item.feed:hover a {
  474. color: var(--text-default);
  475. }
  476. .tree-folder.category.active .tree-folder-title a {
  477. color: var(--highlight);
  478. }
  479. .tree-folder-items > .item {
  480. color: var(--text-default);
  481. font-size: 0.8rem;
  482. }
  483. .tree-folder-items > .item > a {
  484. text-decoration: none;
  485. }
  486. .tree-folder-title {
  487. position: relative;
  488. padding: 0.25rem 0.75rem;
  489. font-size: 1rem;
  490. }
  491. .tree-folder-title .title:hover {
  492. text-decoration: none;
  493. }
  494. .tree-folder.active .tree-folder-title {
  495. font-weight: bold;
  496. }
  497. /*=== STRUCTURE */
  498. /*===============*/
  499. /*=== Header */
  500. .header > .item {
  501. vertical-align: middle;
  502. text-align: center;
  503. }
  504. .header > .item.title h1 {
  505. margin: 0.5em 0;
  506. }
  507. .header > .item.title h1 a {
  508. text-decoration: none;
  509. }
  510. .header > .item.search input {
  511. width: 350px;
  512. }
  513. .header > .item.title .logo {
  514. filter: grayscale(100%) brightness(2.5);
  515. }
  516. .header > .item.title a:hover .logo {
  517. filter: grayscale(85%) brightness(2.5);
  518. }
  519. /*=== Body */
  520. .aside {
  521. background-color: var(--accent-bg);
  522. border-top-right-radius: 12px;
  523. }
  524. /*=== Aside main page */
  525. .aside.aside_feed {
  526. padding: 10px 0;
  527. text-align: center;
  528. }
  529. .aside.nav-list .nav-section .item.active a {
  530. color: var(--highlight);
  531. font-weight: bold;
  532. }
  533. .aside.nav-list .nav-section .item a:hover {
  534. background-color: var(--main-background);
  535. color: var(--text-default);
  536. transition: .2s;
  537. }
  538. .aside.aside_feed .tree {
  539. margin: 10px 0 50px;
  540. }
  541. .aside_feed .category .title:not([data-unread="0"]) {
  542. width: calc(100% - 35px - 20px);
  543. }
  544. .aside_feed .tree-folder-items.active {
  545. padding-bottom: 1rem;
  546. background-color: var(--main-background);
  547. }
  548. .aside.aside_feed .nav-form input,
  549. .aside.aside_feed .nav-form select {
  550. width: 140px;
  551. }
  552. .aside.aside_feed .nav-form .dropdown .dropdown-menu {
  553. right: -20px;
  554. }
  555. .aside.aside_feed .nav-form .dropdown .dropdown-menu::after {
  556. right: 33px;
  557. }
  558. .aside_feed .tree-folder-title button.dropdown-toggle {
  559. margin: -0.5rem 0 -0.5rem -0.75rem;
  560. padding: 0.5rem 0 0.5rem 0.75rem;
  561. }
  562. .aside_feed .tree-folder-items .item .dropdown-target:target ~ .dropdown-toggle > .icon,
  563. .aside_feed .tree-folder-items .item:hover .dropdown-toggle > .icon,
  564. .aside_feed .tree-folder-items .item.active .dropdown-toggle > .icon {
  565. border-radius: 3px;
  566. }
  567. .aside .toggle_aside,
  568. .dropdown-menu .toggle_aside,
  569. #slider .toggle_aside,
  570. .dropdown-header-close a {
  571. background: var(--accent-bg);
  572. border: 1px solid var(--accent-border);
  573. box-sizing: border-box;
  574. transition: 0.2s;
  575. }
  576. .aside .toggle_aside:hover,
  577. #slider .toggle_aside:hover,
  578. .dropdown-menu .toggle_aside:hover {
  579. background-color: var(--main-background) !important;
  580. border-color: var(--highlight) !important;
  581. }
  582. .item.feed.error > .item-title {
  583. color: var(--red);
  584. }
  585. .item.feed.active {
  586. background-color: var(--accent-bg);
  587. }
  588. .item.feed.active a {
  589. color: var(--highlight);
  590. }
  591. .item.feed.active .item-title {
  592. font-weight: bold;
  593. }
  594. li.item.active {
  595. background-color: var(--main-background);
  596. }
  597. .item.feed:hover {
  598. background-color: var(--accent-bg);
  599. transition: .3s;
  600. }
  601. .feed .item-title:not([data-unread="0"]) {
  602. font-weight: normal;
  603. }
  604. /*=== New article notification */
  605. #new-article {
  606. font-size: 0.9em;
  607. text-align: center;
  608. }
  609. #new-article > a {
  610. margin: 1rem auto;
  611. width: 90%;
  612. color: var(--purple);
  613. border: 2px solid var(--purple);
  614. border-radius: 6px;
  615. font-weight: bold;
  616. transition: 0.2s background-color, .2s color;
  617. }
  618. #new-article > a:hover {
  619. background-color: var(--purple);
  620. color: var(--main-background);
  621. text-decoration: none;
  622. }
  623. /*=== Day indication */
  624. .day {
  625. padding: 0 10px;
  626. font-weight: bold;
  627. line-height: 3em;
  628. }
  629. .day .name {
  630. padding: 0 10px 0 0;
  631. font-size: 1.8em;
  632. opacity: 0.3;
  633. font-style: italic;
  634. text-align: right;
  635. }
  636. .name {
  637. display: none;
  638. }
  639. /*=== Feed article header and footer */
  640. .flux_header {
  641. position: relative;
  642. font-size: 0.8rem;
  643. cursor: pointer;
  644. }
  645. .flux_header .title {
  646. font-size: 0.8rem;
  647. }
  648. .flux .website .favicon {
  649. padding: 0.25rem;
  650. }
  651. .flux .content .tags .icon {
  652. padding: 0.25rem;
  653. }
  654. .flux .bottom {
  655. font-size: 0.8rem;
  656. text-align: center;
  657. }
  658. .flux_header:hover {
  659. background-color: var(--accent-bg);
  660. transition: .3s;
  661. }
  662. .flux.current {
  663. background: var(--accent-bg);
  664. }
  665. .flux:not(.current):hover .item .title {
  666. background: var(--accent-bg);
  667. transition: .3s;
  668. }
  669. .flux .flux_header .item .title {
  670. color: var(--text-default);
  671. }
  672. .flux .flux_header .item .title .summary {
  673. color: var(--text-accent);
  674. font-size: 0.8rem;
  675. font-style: italic;
  676. opacity: 0.8;
  677. }
  678. .flux .flux_header .item .title .author {
  679. color: var(--text-accent);
  680. opacity: 0.8;
  681. }
  682. /*=== Feed article content */
  683. .flux_content .content header h1.title {
  684. margin: 1.5rem 0px;
  685. }
  686. .flux_content .content header h1.title a {
  687. color: var(--highlight);
  688. }
  689. .content > footer .subtitle {
  690. border-color: var(--border-elements);
  691. }
  692. .content > header .dropdown-menu .dropdown-header,
  693. .content > footer .dropdown-menu .dropdown-header {
  694. color: var(--text-default);
  695. }
  696. .content hr {
  697. margin: 30px 10px;
  698. height: 1px;
  699. }
  700. .content pre {
  701. border: 1px solid var(--accent);
  702. border-radius: 6px;
  703. }
  704. .content blockquote {
  705. margin: 0;
  706. padding: 5px 20px;
  707. display: block;
  708. }
  709. .content blockquote p {
  710. margin: 0;
  711. }
  712. #load_more.loading {
  713. background-color: var(--accent);
  714. }
  715. #load_more.loading:hover {
  716. background-color: var(--highlight);
  717. }
  718. /*=== Notification and actualize notification */
  719. .notification {
  720. background: var(--dropdown-bg);
  721. color: var(--text-default);
  722. font-size: 0.9rem;
  723. border-radius: 6px;
  724. border-color: var(--border-elements);
  725. z-index: 9999;
  726. font-weight: bold;
  727. box-shadow: 0px 0px 10px var(--frss-box-shadow-color-transparent);
  728. }
  729. .notification.bad {
  730. background-color: var(--red);
  731. color: var(--nord0-polarnight);
  732. }
  733. .notification.bad .icon {
  734. filter: brightness(60%);
  735. }
  736. .notification a.close {
  737. padding: 1.25rem;
  738. line-height: 1;
  739. }
  740. /*=== Popup */
  741. #popup-content {
  742. background-color: var(--accent-bg);
  743. }
  744. #popup-txt {
  745. display: none;
  746. height: 100%;
  747. }
  748. /*=== Navigation menu (for articles) */
  749. #nav_entries {
  750. background: var(--accent-bg);
  751. }
  752. #nav_entries .item a:hover {
  753. background-color: var(--main-background);
  754. }
  755. #bigMarkAsRead {
  756. text-decoration: none;
  757. }
  758. #bigMarkAsRead:hover {
  759. background-color: var(--accent-bg);
  760. transition: .3s;
  761. }
  762. #bigMarkAsRead:hover .bigTick {
  763. color: var(--text-default);
  764. }
  765. .bigTick {
  766. color: var(--accent);
  767. font-size: 4em;
  768. }
  769. /*=== Statistiques */
  770. .stat > table td,
  771. .stat > table th {
  772. text-align: center;
  773. }
  774. .stat {
  775. margin: 10px 0 20px;
  776. }
  777. /*=== Slider */
  778. #slider {
  779. background: var(--accent-bg);
  780. }
  781. /*=== DIVERS */
  782. /*===========*/
  783. .category .title.error::before {
  784. color: var(--red);
  785. }
  786. .nav_menu {
  787. padding: 5px 0;
  788. text-align: center;
  789. }
  790. .header .configure .btn.dropdown-toggle,
  791. .nav_menu .btn {
  792. margin: .125rem;
  793. }
  794. .nav_menu .group {
  795. margin-right: 1rem;
  796. margin-left: .125rem;
  797. }
  798. .theme-preview-list,
  799. .theme-preview-list .properties {
  800. border-color: var(--border-elements);
  801. }
  802. .theme-preview-list:hover,
  803. .theme-preview-list:hover .properties {
  804. border-color: var(--highlight);
  805. }
  806. .theme-preview-list .nav label {
  807. color: var(--accent);
  808. }
  809. .theme-preview-list .nav label:hover {
  810. color: var(--highlight)
  811. }
  812. /*=== PRINTER */
  813. /*============*/
  814. @media print {
  815. .header, .aside,
  816. .nav_menu, .day,
  817. .flux_header,
  818. .flux_content .bottom,
  819. .pagination,
  820. #nav_entries {
  821. display: none;
  822. }
  823. html, body {
  824. background: #fff;
  825. color: #000;
  826. font-family: Serif;
  827. }
  828. #global,
  829. .flux_content {
  830. display: block !important;
  831. }
  832. .flux_content .content {
  833. width: 100% !important;
  834. }
  835. }
  836. /*=== PREVIEW */
  837. /*===========*/
  838. .preview_controls {
  839. background-color: var(--light-bg);
  840. border-color: var(--border-elements);
  841. }
  842. .preview_controls label {
  843. display: inline;
  844. }
  845. .preview_controls label input[type="radio"] {
  846. margin-top: -4px;
  847. }
  848. .preview_controls label + label {
  849. margin-left: 1rem;
  850. }
  851. .preview_background {
  852. background-color: transparent;
  853. }
  854. .drag-drop-marker {
  855. border: 2px dashed var(--highlight);
  856. }
  857. /*BEGINS BASE.CSS*/
  858. /*=== GENERAL */
  859. /*============*/
  860. /*=== Links */
  861. a, button.as-link {
  862. outline: none;
  863. }
  864. /*=== Forms */
  865. textarea {
  866. width: 360px;
  867. height: 100px;
  868. }
  869. option,
  870. optgroup {
  871. padding-left: 0.5rem;
  872. }
  873. optgroup::before {
  874. padding-top: 1rem;
  875. padding-bottom: 0.5rem;
  876. color: var(--accent);
  877. font-style: normal;
  878. }
  879. /*=== COMPONENTS */
  880. /*===============*/
  881. /*=== Forms */
  882. .form-group.form-actions .btn {
  883. margin-right: 1rem;
  884. }
  885. /*=== Navigation */
  886. .nav-list {
  887. font-size: 0.9rem;
  888. }
  889. .nav-list .item,
  890. .nav-list .item.nav-header {
  891. min-height: 2.5em;
  892. line-height: 2.5;
  893. }
  894. .nav-list .item > a {
  895. padding: 0 1rem;
  896. }
  897. .nav-list a:hover {
  898. text-decoration: none;
  899. }
  900. .nav-list .nav-header {
  901. padding: 0 1rem;
  902. font-weight: bold;
  903. }
  904. .nav-list .nav-form {
  905. padding: 3px;
  906. text-align: center;
  907. }
  908. /*=== Dropdown */
  909. .dropdown-menu::after {
  910. top: -5px;
  911. border: none;
  912. }
  913. .dropdown-menu > .item > a,
  914. .dropdown-menu > .item > span,
  915. .dropdown-menu > .item > .as-link,
  916. .dropdown-menu > .item > ul > .item > a,
  917. .dropdown-menu > .item > ul > .item > span,
  918. .dropdown-menu > .item > ul > .item > .as-link {
  919. color: var(--text-accent) !important;
  920. }
  921. /*=== STRUCTURE */
  922. /*===============*/
  923. /*=== Header */
  924. /*=== Body */
  925. /*=== Aside main page (categories) */
  926. .aside_feed .tree-folder-title > .title:not([data-unread="0"])::after {
  927. margin: 10px 0;
  928. padding: 0 0.5rem;
  929. font-size: 0.9rem;
  930. }
  931. .aside .category .title:not([data-unread="0"])::after,
  932. .aside .feed .item-title:not([data-unread="0"])::after {
  933. margin: calc(var(--frss-padding-top-bottom)) 0 0 0;
  934. text-align: right;
  935. right: 0.25rem;
  936. }
  937. .aside .feed.active .item-title:not([data-unread="0"])::after {
  938. color: var(--main-background);
  939. border: none;
  940. background-color: var(--highlight);
  941. }
  942. .aside .feed.active:hover .item-title:not([data-unread="0"])::after {
  943. background-color: var(--text-default);
  944. }
  945. /*=== Aside main page (feeds) */
  946. .aside_feed .tree-folder-items .dropdown-menu::after {
  947. left: 2px;
  948. }
  949. /*=== Prompt (centered) */
  950. .prompt input {
  951. margin: 5px auto;
  952. width: 100%;
  953. }
  954. /*=== Navigation menu (for articles) */
  955. #stream-footer {
  956. border-top: 0;
  957. }
  958. /*=== READER VIEW */
  959. /*================*/
  960. #stream.reader .flux {
  961. background-color: var(--main-background);
  962. border: none;
  963. }
  964. #stream.reader .flux .content {
  965. background-color: var(--accent-bg);
  966. border: none;
  967. border-radius: 12px;
  968. }
  969. /*=== GLOBAL VIEW */
  970. /*================*/
  971. .box.category .box-title .title {
  972. font-weight: normal;
  973. text-decoration: none;
  974. text-align: left;
  975. }
  976. .box.category .title:not([data-unread="0"])::after {
  977. background: none;
  978. border: 0;
  979. position: absolute;
  980. top: 5px; right: 10px;
  981. font-weight: bold;
  982. box-shadow: none;
  983. text-shadow: none;
  984. }
  985. #panel {
  986. background-color: var(--main-background);
  987. }
  988. /*=== MOBILE */
  989. /*===========*/
  990. @media (max-width: 840px) {
  991. .aside:target + .close-aside,
  992. .configure .dropdown-target:target ~ .dropdown-close {
  993. backdrop-filter: grayscale(60%) blur(1px);
  994. }
  995. .aside {
  996. left: 0;
  997. transition: width 200ms linear;
  998. }
  999. .aside.aside_feed {
  1000. padding: 0;
  1001. }
  1002. .nav.aside {
  1003. max-width: 300px;
  1004. border-radius: 0;
  1005. }
  1006. .configure .dropdown .dropdown-menu {
  1007. max-width: 300px;
  1008. }
  1009. .flux .website .favicon {
  1010. position: relative;
  1011. }
  1012. #overlay {
  1013. background-color: var(--accent-bg);
  1014. }
  1015. #slider.active {
  1016. background-color: var(--main-background);
  1017. }
  1018. #close-slider img {
  1019. display: initial;
  1020. }
  1021. #close-slider.active {
  1022. background: var(--main-background);
  1023. display: block;
  1024. width: 100%;
  1025. height: 50px;
  1026. z-index: 10;
  1027. text-align: center;
  1028. line-height: 50px;
  1029. border-bottom: 1px solid #ddd;
  1030. }
  1031. .stat.half {
  1032. grid-column: 1 / span 2;
  1033. }
  1034. .nav_menu .btn {
  1035. margin-bottom: .5rem;
  1036. }
  1037. .nav_menu .search input {
  1038. max-width: 97%;
  1039. width: 90px;
  1040. }
  1041. .nav_menu .search input:focus {
  1042. width: 400px;
  1043. }
  1044. .dropdown .dropdown-menu .item .stick.search {
  1045. width: 100%;
  1046. }
  1047. .post {
  1048. padding: 1rem;
  1049. }
  1050. .day .name {
  1051. font-size: 1.1rem;
  1052. }
  1053. .pagination {
  1054. margin: 0 0 3.5em;
  1055. }
  1056. .notification {
  1057. top: 1%;
  1058. left: 2%;
  1059. right: 2%;
  1060. }
  1061. .notification a.close {
  1062. display: block;
  1063. left: 0;
  1064. }
  1065. .notification a.close:hover {
  1066. opacity: 0.5;
  1067. }
  1068. .notification a.close .icon {
  1069. display: none;
  1070. }
  1071. .alert {
  1072. width: 85%;
  1073. }
  1074. .dropdown-menu {
  1075. margin: 0;
  1076. }
  1077. .dropdown .dropdown-menu {
  1078. border-radius: 6px;
  1079. }
  1080. #overlay .close {
  1081. background: var(--accent-bg);
  1082. border: 1px solid var(--accent-border);
  1083. box-sizing: border-box;
  1084. transition: 0.2s;
  1085. }
  1086. #overlay .close:hover {
  1087. background-color: var(--main-background) !important;
  1088. border-color: var(--highlight) !important;
  1089. }
  1090. .header .configure .dropdown .dropdown-menu {
  1091. border-radius: 0;
  1092. }
  1093. .form-group .group-name {
  1094. font-weight: bold;
  1095. padding: 0 0 0.25rem 0;
  1096. }
  1097. .form-group .group-name::after {
  1098. content: ':';
  1099. }
  1100. .form-group {
  1101. margin-top: 2rem;
  1102. margin-bottom: 2rem;
  1103. }
  1104. }